--- linux-2.6.16-rc4/arch/powerpc/kernel/process.c	2006-02-18 14:39:46 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/powerpc/kernel/process.c	2006-02-17 23:26:32 +0100
@@ -425,8 +425,9 @@ void show_regs(struct pt_regs * regs)
 	trap = TRAP(regs);
 	if (trap == 0x300 || trap == 0x600)
 		printk("DAR: "REG", DSISR: "REG"\n", regs->dar, regs->dsisr);
-	printk("TASK = %p[%d] '%s' THREAD: %p",
-	       current, current->pid, current->comm, task_thread_info(current));
+	printk("TASK = %p[%d,#%u] '%s' THREAD: %p",
+	       current, current->pid, current->xid,
+	       current->comm, task_thread_info(current));
 
 #ifdef CONFIG_SMP
 	printk(" CPU: %d", smp_processor_id());
--- linux-2.6.16-rc4/arch/x86_64/kernel/traps.c	2006-02-18 14:39:50 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/x86_64/kernel/traps.c	2006-02-17 23:26:32 +0100
@@ -321,8 +321,9 @@ void show_registers(struct pt_regs *regs
 
 	printk("CPU %d ", cpu);
 	__show_regs(regs);
-	printk("Process %s (pid: %d, threadinfo %p, task %p)\n",
-		cur->comm, cur->pid, task_thread_info(cur), cur);
+	printk("Process %s (pid: %d[#%u], threadinfo %p, task %p)\n",
+		cur->comm, cur->pid, cur->xid,
+		task_thread_info(cur), cur);
 
 	/*
 	 * When in-kernel, we also print out the stack and code at the
--- linux-2.6.16-rc4/arch/alpha/kernel/traps.c	2005-10-28 20:49:08 +0200
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/alpha/kernel/traps.c	2006-02-17 23:26:32 +0100
@@ -183,7 +183,8 @@ die_if_kernel(char * str, struct pt_regs
 #ifdef CONFIG_SMP
 	printk("CPU %d ", hard_smp_processor_id());
 #endif
-	printk("%s(%d): %s %ld\n", current->comm, current->pid, str, err);
+	printk("%s(%d[#%u]): %s %ld\n", current->comm,
+		current->pid, current->xid, str, err);
 	dik_show_regs(regs, r9_15);
 	dik_show_trace((unsigned long *)(regs+1));
 	dik_show_code((unsigned int *)regs->pc);
--- linux-2.6.16-rc4/arch/i386/kernel/traps.c	2006-02-18 14:39:43 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/i386/kernel/traps.c	2006-02-17 23:26:32 +0100
@@ -252,8 +253,9 @@ void show_registers(struct pt_regs *regs
 		regs->esi, regs->edi, regs->ebp, esp);
 	printk(KERN_EMERG "ds: %04x   es: %04x   ss: %04x\n",
 		regs->xds & 0xffff, regs->xes & 0xffff, ss);
-	printk(KERN_EMERG "Process %s (pid: %d, threadinfo=%p task=%p)",
-		current->comm, current->pid, current_thread_info(), current);
+	printk(KERN_EMERG "Process %s (pid: %d[#%u], threadinfo=%p task=%p)",
+		current->comm, current->pid, current->xid,
+		current_thread_info(), current);
 	/*
 	 * When in-kernel, we also print out the stack and code at the
 	 * time of the fault..
--- linux-2.6.16-rc4/arch/ia64/kernel/traps.c	2006-02-18 14:39:43 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/ia64/kernel/traps.c	2006-02-18 15:33:51 +0100
@@ -107,8 +107,9 @@ die (const char *str, struct pt_regs *re
 	put_cpu();
 
 	if (++die.lock_owner_depth < 3) {
-		printk("%s[%d]: %s %ld [%d]\n",
-			current->comm, current->pid, str, err, ++die_counter);
+		printk("%s[%d[#%u]]: %s %ld [%d]\n",
+			current->comm, current->pid, current->xid,
+			str, err, ++die_counter);
 		(void) notify_die(DIE_OOPS, (char *)str, regs, err, 255, SIGSEGV);
 		show_regs(regs);
   	} else
--- linux-2.6.16-rc4/arch/m32r/kernel/traps.c	2005-10-28 20:49:11 +0200
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/m32r/kernel/traps.c	2006-02-17 23:26:32 +0100
@@ -196,8 +196,9 @@ static void show_registers(struct pt_reg
 	} else {
 		printk("SPI: %08lx\n", sp);
 	}
-	printk("Process %s (pid: %d, process nr: %d, stackpage=%08lx)",
-		current->comm, current->pid, 0xffff & i, 4096+(unsigned long)current);
+	printk("Process %s (pid: %d[#%u], process nr: %d, stackpage=%08lx)",
+		current->comm, current->pid, current->xid,
+		0xffff & i, 4096+(unsigned long)current);
 
 	/*
 	 * When in-kernel, we also print out the stack and code at the
--- linux-2.6.16-rc4/arch/parisc/kernel/traps.c	2006-02-18 14:39:46 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/parisc/kernel/traps.c	2006-02-17 23:26:32 +0100
@@ -246,8 +247,8 @@ void die_if_kernel(char *str, struct pt_
 	if (!console_drivers)
 		pdc_console_restart();
 	
-	printk(KERN_CRIT "%s (pid %d): %s (code %ld)\n",
-		current->comm, current->pid, str, err);
+	printk(KERN_CRIT "%s (pid %d[#%u]): %s (code %ld)\n",
+		current->comm, current->pid, current->xid, str, err);
 	show_regs(regs);
 
 	/* Wot's wrong wif bein' racy? */
--- linux-2.6.16-rc4/mm/oom_kill.c	2006-02-18 14:40:38 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/mm/oom_kill.c	2006-02-17 23:26:33 +0100
@@ -198,8 +199,8 @@ static void __oom_kill_task(task_t *p)
 		return;
 	}
 	task_unlock(p);
-	printk(KERN_ERR "Out of Memory: Killed process %d (%s).\n",
-							p->pid, p->comm);
+	printk(KERN_ERR "Out of Memory: Killed process %d[#%u] (%s).\n",
+		p->pid, p->xid, p->comm);
 
 	/*
 	 * We give our sacrificial lamb high priority and access to
--- linux-2.6.16-rc4/arch/arm/kernel/process.c	2006-02-18 14:39:40 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/arm/kernel/process.c	2006-02-17 23:26:32 +0100
@@ -226,7 +226,8 @@ void __show_regs(struct pt_regs *regs)
 void show_regs(struct pt_regs * regs)
 {
 	printk("\n");
-	printk("Pid: %d, comm: %20s\n", current->pid, current->comm);
+	printk("Pid: %d[#%u], comm: %20s\n",
+		current->pid, current->xid, current->comm);
 	__show_regs(regs);
 	__backtrace();
 }
--- linux-2.6.16-rc4/arch/i386/kernel/process.c	2006-02-18 14:39:43 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/i386/kernel/process.c	2006-02-17 23:26:32 +0100
@@ -291,8 +291,10 @@ void show_regs(struct pt_regs * regs)
 	unsigned long cr0 = 0L, cr2 = 0L, cr3 = 0L, cr4 = 0L;
 
 	printk("\n");
-	printk("Pid: %d, comm: %20s\n", current->pid, current->comm);
-	printk("EIP: %04x:[<%08lx>] CPU: %d\n",0xffff & regs->xcs,regs->eip, smp_processor_id());
+	printk("Pid: %d[#%u], comm: %20s\n",
+		current->pid, current->xid, current->comm);
+	printk("EIP: %04x:[<%08lx>] CPU: %d\n",
+		0xffff & regs->xcs,regs->eip, smp_processor_id());
 	print_symbol("EIP is at %s\n", regs->eip);
 
 	if (user_mode(regs))
--- linux-2.6.16-rc4/arch/ia64/kernel/process.c	2006-02-18 14:39:43 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/ia64/kernel/process.c	2006-02-17 23:26:32 +0100
@@ -109,7 +109,8 @@ show_regs (struct pt_regs *regs)
 	unsigned long ip = regs->cr_iip + ia64_psr(regs)->ri;
 
 	print_modules();
-	printk("\nPid: %d, CPU %d, comm: %20s\n", current->pid, smp_processor_id(), current->comm);
+	printk("\nPid: %d[#%u], CPU %d, comm: %20s\n",
+		current->pid, current->xid, smp_processor_id(), current->comm);
 	printk("psr : %016lx ifs : %016lx ip  : [<%016lx>]    %s\n",
 	       regs->cr_ipsr, regs->cr_ifs, ip, print_tainted());
 	print_symbol("ip is at %s\n", ip);
--- linux-2.6.16-rc4/arch/s390/kernel/process.c	2006-02-18 14:39:48 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/s390/kernel/process.c	2006-02-18 15:33:51 +0100
@@ -164,9 +164,9 @@ void show_regs(struct pt_regs *regs)
 	struct task_struct *tsk = current;
 
         printk("CPU:    %d    %s\n", task_thread_info(tsk)->cpu, print_tainted());
-        printk("Process %s (pid: %d, task: %p, ksp: %p)\n",
-	       current->comm, current->pid, (void *) tsk,
-	       (void *) tsk->thread.ksp);
+	printk("Process %s (pid: %d[#%u], task: %p, ksp: %p)\n",
+	       current->comm, current->pid, current->xid,
+	       (void *) tsk, (void *) tsk->thread.ksp);
 
 	show_registers(regs);
 	/* Show stack backtrace if pt_regs is from kernel mode */
--- linux-2.6.16-rc4/arch/sh/kernel/process.c	2006-02-18 14:39:48 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/sh/kernel/process.c	2006-02-17 23:26:32 +0100
@@ -113,7 +113,8 @@ void machine_power_off(void)
 void show_regs(struct pt_regs * regs)
 {
 	printk("\n");
-	printk("Pid : %d, Comm: %20s\n", current->pid, current->comm);
+	printk("Pid : %d[#%u], Comm: %20s\n",
+		current->pid, current->xid, current->comm);
 	print_symbol("PC is at %s\n", regs->pc);
 	printk("PC  : %08lx SP  : %08lx SR  : %08lx ",
 	       regs->pc, regs->regs[15], regs->sr);
--- linux-2.6.16-rc4/arch/x86_64/kernel/process.c	2006-02-18 14:39:50 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/x86_64/kernel/process.c	2006-02-17 23:26:32 +0100
@@ -297,8 +298,8 @@ void __show_regs(struct pt_regs * regs)
 
 	printk("\n");
 	print_modules();
-	printk("Pid: %d, comm: %.20s %s %s %.*s\n",
-		current->pid, current->comm, print_tainted(),
+	printk("Pid: %d[#%u], comm: %.20s %s %s %.*s\n",
+		current->pid, current->xid, current->comm, print_tainted(),
 		system_utsname.release,
 		(int)strcspn(system_utsname.version, " "),
 		system_utsname.version);
--- linux-2.6.16-rc4/arch/arm26/kernel/traps.c	2006-02-18 14:39:42 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/arm26/kernel/traps.c	2006-02-17 23:26:32 +0100
@@ -186,8 +186,9 @@ NORET_TYPE void die(const char *str, str
 	printk("Internal error: %s: %x\n", str, err);
 	printk("CPU: %d\n", smp_processor_id());
 	show_regs(regs);
-	printk("Process %s (pid: %d, stack limit = 0x%p)\n",
-		current->comm, current->pid, end_of_stack(tsk));
+	printk("Process %s (pid: %d[#%u], stack limit = 0x%p)\n",
+		current->comm, current->pid,
+		current->xid, end_of_stack(tsk));
 
 	if (!user_mode(regs) || in_interrupt()) {
 		__dump_stack(tsk, (unsigned long)(regs + 1));
--- linux-2.6.16-rc4/arch/m68k/kernel/traps.c	2006-02-18 14:39:44 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/m68k/kernel/traps.c	2006-02-17 23:26:32 +0100
@@ -1198,8 +1198,9 @@ void die_if_kernel (char *str, struct pt
 	printk("d4: %08lx    d5: %08lx    a0: %08lx    a1: %08lx\n",
 	       fp->d4, fp->d5, fp->a0, fp->a1);
 
-	printk("Process %s (pid: %d, stackpage=%08lx)\n",
-		current->comm, current->pid, PAGE_SIZE+(unsigned long)current);
+	printk("Process %s (pid: %d[#%u], stackpage=%08lx)\n",
+		current->comm, current->pid, current->xid,
+		PAGE_SIZE+(unsigned long)current);
 	show_stack(NULL, (unsigned long *)fp);
 	do_exit(SIGSEGV);
 }
--- linux-2.6.16-rc4/arch/m68knommu/kernel/traps.c	2005-10-28 20:49:11 +0200
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/m68knommu/kernel/traps.c	2006-02-17 23:26:32 +0100
@@ -81,8 +81,9 @@ void die_if_kernel(char *str, struct pt_
 	printk(KERN_EMERG "d4: %08lx    d5: %08lx    a0: %08lx    a1: %08lx\n",
 	       fp->d4, fp->d5, fp->a0, fp->a1);
 
-	printk(KERN_EMERG "Process %s (pid: %d, stackpage=%08lx)\n",
-		current->comm, current->pid, PAGE_SIZE+(unsigned long)current);
+	printk(KERN_EMERG "Process %s (pid: %d[#%u], stackpage=%08lx)\n",
+		current->comm, current->pid, current->xid,
+		PAGE_SIZE+(unsigned long)current);
 	show_stack(NULL, (unsigned long *)fp);
 	do_exit(SIGSEGV);
 }
--- linux-2.6.16-rc4/arch/parisc/kernel/traps.c	2006-02-18 14:39:46 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/parisc/kernel/traps.c	2006-02-17 23:26:32 +0100
@@ -214,8 +214,9 @@ void die_if_kernel(char *str, struct pt_
 		if (err == 0)
 			return; /* STFU */
 
-		printk(KERN_CRIT "%s (pid %d): %s (code %ld) at " RFMT "\n",
-			current->comm, current->pid, str, err, regs->iaoq[0]);
+		printk(KERN_CRIT "%s (pid %d[#%u]): %s (code %ld) at " RFMT "\n",
+			current->comm, current->pid, current->xid,
+			str, err, regs->iaoq[0]);
 #ifdef PRINT_USER_FAULTS
 		/* XXX for debugging only */
 		show_regs(regs);
--- linux-2.6.16-rc4/arch/sparc/kernel/traps.c	2006-02-18 14:39:49 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/sparc/kernel/traps.c	2006-02-17 23:26:32 +0100
@@ -100,7 +100,8 @@ void die_if_kernel(char *str, struct pt_
 "              /_| \\__/ |_\\\n"
 "                 \\__U_/\n");
 
-	printk("%s(%d): %s [#%d]\n", current->comm, current->pid, str, ++die_counter);
+	printk("%s(%d[#%u]): %s [#%d]\n", current->comm,
+		current->pid, current->xid, str, ++die_counter);
 	show_regs(regs);
 
 	__SAVE; __SAVE; __SAVE; __SAVE;
--- linux-2.6.16-rc4/arch/sparc64/kernel/traps.c	2006-02-18 14:39:49 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/sparc64/kernel/traps.c	2006-02-17 23:26:32 +0100
@@ -1896,7 +1896,8 @@ void die_if_kernel(char *str, struct pt_
 "              /_| \\__/ |_\\\n"
 "                 \\__U_/\n");
 
-	printk("%s(%d): %s [#%d]\n", current->comm, current->pid, str, ++die_counter);
+	printk("%s(%d[#%u]): %s [#%d]\n", current->comm,
+		current->pid, current->xid, str, ++die_counter);
 	notify_die(DIE_OOPS, str, regs, 0, 255, SIGSEGV);
 	__asm__ __volatile__("flushw");
 	__show_regs(regs);
--- linux-2.6.16-rc4/arch/powerpc/kernel/traps.c	2006-02-18 14:39:46 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/powerpc/kernel/traps.c	2006-02-17 23:26:32 +0100
@@ -876,8 +876,9 @@ void nonrecoverable_exception(struct pt_
 
 void trace_syscall(struct pt_regs *regs)
 {
-	printk("Task: %p(%d), PC: %08lX/%08lX, Syscall: %3ld, Result: %s%ld    %s\n",
-	       current, current->pid, regs->nip, regs->link, regs->gpr[0],
+	printk("Task: %p(%d[#%u]), PC: %08lX/%08lX, Syscall: %3ld, Result: %s%ld    %s\n",
+	       current, current->pid, current->xid,
+	       regs->nip, regs->link, regs->gpr[0],
 	       regs->ccr&0x10000000?"Error=":"", regs->gpr[3], print_tainted());
 }
 
--- linux-2.6.16-rc4/arch/ppc/kernel/traps.c	2006-02-18 14:39:47 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/ppc/kernel/traps.c	2006-02-17 23:26:32 +0100
@@ -749,8 +749,9 @@ void nonrecoverable_exception(struct pt_
 
 void trace_syscall(struct pt_regs *regs)
 {
-	printk("Task: %p(%d), PC: %08lX/%08lX, Syscall: %3ld, Result: %s%ld    %s\n",
-	       current, current->pid, regs->nip, regs->link, regs->gpr[0],
+	printk("Task: %p(%d[#%u]), PC: %08lX/%08lX, Syscall: %3ld, Result: %s%ld    %s\n",
+	       current, current->pid, current->xid,
+	       regs->nip, regs->link, regs->gpr[0],
 	       regs->ccr&0x10000000?"Error=":"", regs->gpr[3], print_tainted());
 }
 
--- linux-2.6.16-rc4/arch/mips/kernel/traps.c	2006-02-18 14:39:45 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/mips/kernel/traps.c	2006-02-17 23:26:32 +0100
@@ -266,8 +266,9 @@ void show_registers(struct pt_regs *regs
 {
 	show_regs(regs);
 	print_modules();
-	printk("Process %s (pid: %d, threadinfo=%p, task=%p)\n",
-	        current->comm, current->pid, current_thread_info(), current);
+	printk("Process %s (pid: %d[#%u], threadinfo=%p, task=%p)\n",
+		current->comm, current->pid, current->xid,
+		current_thread_info(), current);
 	show_stack(current, (long *) regs->regs[29]);
 	show_trace(current, (long *) regs->regs[29]);
 	show_code((unsigned int *) regs->cp0_epc);
--- linux-2.6.16-rc4/arch/ia64/kernel/traps.c	2006-02-18 14:39:43 +0100
+++ linux-2.6.16-rc4-vs2.1.1-rc8/arch/ia64/kernel/traps.c	2006-02-18 15:33:51 +0100
@@ -335,8 +336,9 @@ handle_fpu_swa (int fp_fault, struct pt_
 		last_time = jiffies;
 		++fpu_swa_count;
 		printk(KERN_WARNING
-		       "%s(%d): floating-point assist fault at ip %016lx, isr %016lx\n",
-		       current->comm, current->pid, regs->cr_iip + ia64_psr(regs)->ri, isr);
+		       "%s(%d[#%u]): floating-point assist fault at ip %016lx, isr %016lx\n",
+		       current->comm, current->pid, current->xid,
+		       regs->cr_iip + ia64_psr(regs)->ri, isr);
 	}
 
 	exception = fp_emulate(fp_fault, bundle, &regs->cr_ipsr, &regs->ar_fpsr, &isr, &regs->pr,
